package com.stm.asset.model;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 类名称：UserInfo
 * 类描述：用户信息
 * 创建人：story
 * 创建时间：2021-12-10 13:52
 */
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 4921393251645885049L;
    private String id;               //账户ID
    private String empId;       //雇员ID
    private String name;             //全名
    private String userName;         //登录账号,对应以前登录返回的loginname
    private String corpid;           //企业ID
    private String corpname;         //企业名称
    private String no;               //工号
    private String gender;           //性别：M男；F女
    private String birthday;         //生日
    private String rank;             //职级
    private String empIdCardNo;      //证件号
    private String empMobileNo;      //手机
    private String email;            //电子邮箱
    private String type;             //正式；非正式
    private String sts;              //雇员有效状态(Y有效；N无效）
    private String displayName;      //用户显示名
    private String logoURL;          //logo图
    private String synSource;        //是否显示修改密码  1  隐藏，0 显示
    //适配国际机票新添加几个字段，其中性别用原有的gender
    private String firstName;//英文姓
    private String secondName;//英文名
    private String nationality;//国籍
    private String nationalityKey;// 国籍Key
    private String birth;//生日     此字段暂时弃用
    private String accesstoken;
    private String isSysManager;     //是否系统管理员
    private String seessionId;       //上次登录seesionID
    private String lastLoginIp;      //上次登录IP
    private String isLoginout;       //是否已退出系统
    private String logincount;       //登录次数
    private String depatementId;     //用户默认部门ID
    private String depatementName;   //用户默认部门名称
    private String currentDepatementId;   //用户当前部门ID
    private String currentDepatementName;   //用户当前部门名字
    private String imgUrl;           //头像
    private String pushflag;         //极光推送标识
    private String krtcitycodeversion;
    private String reportrole;
    private String[] reportRight;  //报表权限
    private List<String> userRoles;  //用户所有角色
    private List<String> userExcludeRoles;    //用户没有的角色
    private List<Map<String, String>> userDepatement;   //用户所属部门
    private String userDepatementStr;                   //用户所属部门json串
    private Map<String,String> permissiondata;            //商旅预订权限控制
    private String permissiondataStr;                     //商旅预订权限控制字符串
    private Map<String,String> bankInfo;                  //银行账号信息

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEmpId() {
        return empId;
    }

    public void setEmpId(String empId) {
        this.empId = empId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUsername() {
        return userName;
    }

    public void setUsername(String username) {
        this.userName = username;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getCorpname() {
        return corpname;
    }

    public void setCorpname(String corpname) {
        this.corpname = corpname;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getRank() {
        return rank;
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    public String getEmpIdCardNo() {
        return empIdCardNo;
    }

    public void setEmpIdCardNo(String empIdCardNo) {
        this.empIdCardNo = empIdCardNo;
    }

    public String getEmpMobileNo() {
        return empMobileNo;
    }

    public void setEmpMobileNo(String empMobileNo) {
        this.empMobileNo = empMobileNo;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getLogoURL() {
        return logoURL;
    }

    public void setLogoURL(String logoURL) {
        this.logoURL = logoURL;
    }

    public String getSynSource() {
        return synSource;
    }

    public void setSynSource(String synSource) {
        this.synSource = synSource;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getSecondName() {
        return secondName;
    }

    public void setSecondName(String secondName) {
        this.secondName = secondName;
    }

    public String getNationality() {
        return nationality;
    }

    public void setNationality(String nationality) {
        this.nationality = nationality;
    }

    public String getNationalityKey() {
        return nationalityKey;
    }

    public void setNationalityKey(String nationalityKey) {
        this.nationalityKey = nationalityKey;
    }

    public String getBirth() {
        return birth;
    }

    public void setBirth(String birth) {
        this.birth = birth;
    }

    public String getAccesstoken() {
        return accesstoken;
    }

    public void setAccesstoken(String accesstoken) {
        this.accesstoken = accesstoken;
    }

    public String getIsSysManager() {
        return isSysManager;
    }

    public void setIsSysManager(String isSysManager) {
        this.isSysManager = isSysManager;
    }

    public String getSeessionId() {
        return seessionId;
    }

    public void setSeessionId(String seessionId) {
        this.seessionId = seessionId;
    }

    public String getLastLoginIp() {
        return lastLoginIp;
    }

    public void setLastLoginIp(String lastLoginIp) {
        this.lastLoginIp = lastLoginIp;
    }

    public String getIsLoginout() {
        return isLoginout;
    }

    public void setIsLoginout(String isLoginout) {
        this.isLoginout = isLoginout;
    }

    public String getLogincount() {
        return logincount;
    }

    public void setLogincount(String logincount) {
        this.logincount = logincount;
    }

    public String getDepatementId() {
        return depatementId;
    }

    public void setDepatementId(String depatementId) {
        this.depatementId = depatementId;
    }

    public String getDepatementName() {
        return depatementName;
    }

    public void setDepatementName(String depatementName) {
        this.depatementName = depatementName;
    }

    public String getCurrentDepatementId() {
        return currentDepatementId;
    }

    public void setCurrentDepatementId(String currentDepatementId) {
        this.currentDepatementId = currentDepatementId;
    }

    public String getCurrentDepatementName() {
        return currentDepatementName;
    }

    public void setCurrentDepatementName(String currentDepatementName) {
        this.currentDepatementName = currentDepatementName;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getPushflag() {
        return pushflag;
    }

    public void setPushflag(String pushflag) {
        this.pushflag = pushflag;
    }

    public String getKrtcitycodeversion() {
        return krtcitycodeversion;
    }

    public void setKrtcitycodeversion(String krtcitycodeversion) {
        this.krtcitycodeversion = krtcitycodeversion;
    }

    public String getReportrole() {
        return reportrole;
    }

    public void setReportrole(String reportrole) {
        this.reportrole = reportrole;
    }

    public String[] getReportRight() {
        return reportRight;
    }

    public void setReportRight(String[] reportRight) {
        this.reportRight = reportRight;
    }

    public List<String> getUserRoles() {
        return userRoles;
    }

    public void setUserRoles(List<String> userRoles) {
        this.userRoles = userRoles;
    }

    public List<String> getUserExcludeRoles() {
        return userExcludeRoles;
    }

    public void setUserExcludeRoles(List<String> userExcludeRoles) {
        this.userExcludeRoles = userExcludeRoles;
    }

    public List<Map<String, String>> getUserDepatement() {
        return userDepatement;
    }

    public void setUserDepatement(List<Map<String, String>> userDepatement) {
        this.userDepatement = userDepatement;
    }

    public String getUserDepatementStr() {
        return userDepatementStr;
    }

    public void setUserDepatementStr(String userDepatementStr) {
        this.userDepatementStr = userDepatementStr;
    }

    public Map<String, String> getPermissiondata() {
        return permissiondata;
    }

    public void setPermissiondata(Map<String, String> permissiondata) {
        this.permissiondata = permissiondata;
    }

    public String getPermissiondataStr() {
        return permissiondataStr;
    }

    public void setPermissiondataStr(String permissiondataStr) {
        this.permissiondataStr = permissiondataStr;
    }

    public Map<String, String> getBankInfo() {
        return bankInfo;
    }

    public void setBankInfo(Map<String, String> bankInfo) {
        this.bankInfo = bankInfo;
    }
}
